# go-ssb-room

Scuttlebutt room server, implemented in Go

<!-- metadata -->
* **Category**: Utilities
* **Status**: 0, work-in-progress
* **Image**: [`git.coopcloud.tech/coop-cloud-chaos-patchs/go-ssb-room`](https://git.coopcloud.tech/coop-cloud-chaos-patchs/go-ssb-room/packages), 0, own
* **Healthcheck**: No
* **Backups**: No
* **Email**: N/A
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new go-ssb-room`
4. `abra app config YOURAPPDOMAIN` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app deploy YOURAPPDOMAIN`
6. To set someone (yourself?) as an initial user, run 
   ```
   abra app YOURAPPDOMAIN run app "/app/cmd/insert-user/insert-user -repo /app/data @your-ssb-cryptkey.edXXX" 
   ```

## Additional notes

For room aliases, you'll need wildcard SSL; see
[`coop-cloud/traefik:README.md`](https://git.coopcloud.tech/coop-cloud/traefik/#configuring-wildcard-ssl-using-dns).

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
